### Method

# Gsk PathBuilderclose

since: 4.14

#### Declaration [src]

    void
    gsk_path_builder_close (
      GskPathBuilder* self
    )

#### Description [src]

Ends the current contour with a line back to the start point.

Note that this is different from calling `gsk_path_builder_line_to()` with the start point in that the contour will be closed. A closed contour behaves differently from an open one. When stroking, its start and end point are considered connected, so they will be joined via the line join, and not ended with line caps.

Available since: 4.14